%define url_ver	%(echo %{version}|cut -d. -f1,2)


%define api		3
%define major		6
%define gir_major	3.0

%define libname		%mklibname gweather %{api} %{major}
%define develname	%mklibname -d gweather
%define girname		%mklibname gweather-gir %{gir_major}
%define olddevelname %mklibname -d gnome-applets

Summary:	GNOME Weather applet library
Name:		libgweather
Version:	3.17.2
Release:	2
License:	GPLv2+
Group:		System/Libraries
Url:		http://www.gnome.org
Source0:	ftp://ftp.gnome.org/pub/GNOME/sources/libgweather/%{url_ver}/%{name}-%{version}.tar.xz
Patch0:		libgweather-3.17.2-update-METAR.patch
BuildRequires:	intltool
BuildRequires:	libxml2-utils
BuildRequires:	pkgconfig(gconf-2.0) 
BuildRequires:	GConf2
BuildRequires:	pkgconfig(glib-2.0)
BuildRequires:	pkgconfig(gtk+-3.0)
BuildRequires:	pkgconfig(gobject-introspection-1.0)
BuildRequires:	pkgconfig(libsoup-gnome-2.4)
BuildRequires:	pkgconfig(libxml-2.0)
BuildRequires:	pkgconfig(geocode-glib-1.0)

%description
This is a library to provide Weather data to the GNOME panel applet.

%files -f %{name}-3.0.lang
%doc AUTHORS NEWS
%dir %{_datadir}/%{name}
%{_datadir}/%{name}/locations.dtd
%{_datadir}/%{name}/Locations.xml
%{_datadir}/glib-2.0/schemas/org.gnome.GWeather.enums.xml
%{_datadir}/glib-2.0/schemas/org.gnome.GWeather.gschema.xml

#------------------------------------------

%package -n %{libname}
Group:		System/Libraries
Summary:	GNOME Weather applet library
Requires:	%{name} >= %{EVRD}

Obsoletes:	%{_lib}gweather3_1 < %{version}
Obsoletes:	%{_lib}gweather3_3 < %{version}

%description -n %{libname}
This is a library to provide Weather data to the GNOME panel applet.


%files -n %{libname}
%doc AUTHORS NEWS
%{_libdir}/libgweather-%{api}.so.%{major}*

#------------------------------------------

%package -n %{girname}
Summary:	GObject Introspection interface description for %{name}
Group:		System/Libraries

%description -n %{girname}
GObject Introspection interface description for %{name}.


%files -n %{girname}
%doc AUTHORS NEWS
%{_libdir}/girepository-1.0/GWeather-%{gir_major}.typelib

#------------------------------------------

%package -n %{develname}
Group:		Development/C
Summary:	GNOME Weather applet library
Requires:	%{libname} = %{EVRD}
Provides:	%{name}-devel = %{EVRD}
Obsoletes:	%{olddevelname} < 2.21.3

%description -n %{develname}
This is a library to provide Weather data to the GNOME panel applet.


%files -n %{develname}
%doc AUTHORS NEWS
%{_libdir}/*.so
%{_libdir}/pkgconfig/*.pc
%{_includedir}/*
%{_datadir}/gtk-doc/html/%{name}-3.0
%{_datadir}/gir-1.0/GWeather-%{gir_major}.gir

#------------------------------------------

%prep
%setup -q
%patch0 -p1

%build
%configure2_5x \
	--enable-introspection=yes \
	--disable-static \
	--disable-gtk-doc 

%make 

%install
%makeinstall_std
%find_lang %{name}-3.0 --all-name

%changelog

* Thu Sep 01 2016 alzim <alzim@bk.ru> 3.17.2-2
- (c33c689) Merge pull request #2 from alzim/libgweather:rosa2016.1
- (c33c689) Add patche


